1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

RPI4 V1.2

Discussion in 'German Talk' started by linksdreher, 17 May 2020.

  1. linksdreher

    linksdreher New Member

    Messages:
    2
    Hallo zusammen,

    kurz vorweg: bin neu hier und hatte bisher auch keine Erfahrung mit dem RPI4. Mit dem Hyperion Ambilight habe ich mich zum ersten Mal mit dem RPI beschäftigt. Hab mich hier im Forum eingelesen und hab damit auch nach einigen Versuchen letztendlich das Ganze auch zum Laufen gebracht. Geholfen hat mir damals die Lösung von @Paulchen-Panther:
    https://hyperion-project.org/threads/rpi-4-unable-to-initialize-ws281x-library.3680/

    Nun zum eigentlichen Problem:
    Bin beim Projekt auf den Geschmack gekommen und habe aus diversen Gründen den RPI4 gegen einen neuen ausgetauscht und seitdem funktioniert hyperion nicht mehr. Nach unendlicher Bastelei vermute ich den Grund dafür, dass das neue Board ein V1.2 ist; das alte mit dem es funktionierte ein V1.1 ist. Hardware tauschen möchte ich nicht noch mal.

    Elektrisch läuft der Aufbau mit dem V1.2-Board und mit 172 ws2812B-LEDs einwandfrei, da der "strandtest.py" ganz normal funktioniert.

    Fehlermeldung ist immer noch "unable to initialize ws281x library".

    Hier noch der log:
     

    Attached Files:

    • log.txt
      File size:
      7.8 KB
      Views:
      62
  2. TPmodding

    TPmodding Administrator Staff Member Administrator

    Messages:
    1,886
    Hardware:
    RPi1/Zero, RPi2, RPi3, +Arduino, +nodeMCU/ESP8266
    probier mal die alpha5
     
  3. linksdreher

    linksdreher New Member

    Messages:
    2
    danke schon mal für den Tip!

    Hab gerade nach der Anleitung hier
    https://github.com/hyperion-project/hyperion.ng/blob/master/CompileHowto.md
    die alpha5 für Buster kompiliert (mit Docker). Aber jetzt komm ich nicht mehr weiter.
    Muss ich die alte Installation von hyperion 1.irgendwas vorher deinstallieren?
    Wie installiere ich das ganze dann?

    Verstehe ich die Anleitung richtig: dort werden diverse Varianten beschrieben, wie man die alpha5 auf verschiedenen Systemen/in verschiedenen Varianten kompiliert. Das was man dann kompiliert hat wird dann wie zum Schluss in "Install hyperion into your system" installiert?

    Wie gesagt, ich bin noch ziemlich am Anfang mit dem RPI und auch mit Linux.
     
  4. Paulchen-Panther

    Paulchen-Panther Moderator Staff Member Developer

    Messages:
    857
    Hardware:
    RPi1/Zero, RPi3, 32/64bit, +Arduino, +nodeMCU/ESP8266